# Redis Stream Package

A Python package to send and receive messages using Redis Streams. This package is designed to be reusable across different projects and microservices, providing dynamic and robust mechanisms for message streaming with retry logic and flexible configurations.

## Features

- **Send and Receive Messages** using Redis streams.
- **Retry Mechanism** with exponential backoff for resilience.
- **Dynamic Message Handling** based on message names and registered handler functions.
- **Configurable Singleton Classes** for easy integration with multiple projects.
- **Clean and Readable Code** based on SOLID principles, following best practices for Python development.

## Installation

To use the `dtpystreamer` in your project, you can install it directly via `pip`.

### Installation via `pip`

```bash
pip install dtpystreamer
```
